<?php get_header(); ?>

<?php if (is_search()) : ?>
	<div class="posttitle"><h2><?php _e('Search Results', 'SthBlue'); ?></h2></div>
	<p><?php printf( __('Keyword: &#8216;%1$s&#8217;', 'SthBlue'), wp_specialchars($s, 1) ); ?></p>

<?php else : ?>
   <div class="posttitle">
	<h2><?php _e('Archive', 'SthBlue'); ?></h2>
	   <p>
		<?php
		// If this is a category archive
		if (is_category()) {
			printf( __('Archive for the &#8216;%1$s&#8217; Category', 'SthBlue'), single_cat_title('', false) );
		// If this is a tag archive
		} elseif (is_tag()) {
			printf( __('Posts Tagged &#8216;%1$s&#8217;', 'SthBlue'), single_tag_title('', false) );
		// If this is a daily archive
		} elseif (is_day()) {
			printf( __('Archive for %1$s', 'SthBlue'), get_the_time(__('F jS, Y', 'SthBlue')) );
		// If this is a monthly archive
		} elseif (is_month()) {
			printf( __('Archive for %1$s', 'SthBlue'), get_the_time(__('F, Y', 'SthBlue')) );
		// If this is a yearly archive
		} elseif (is_year()) {
			printf( __('Archive for %1$s', 'SthBlue'), get_the_time(__('Y', 'SthBlue')) );
		// If this is an author archive
		} elseif (is_author()) {
			_e('Author Archive', 'SthBlue');
		// If this is a paged archive
		} elseif (isset($_GET['paged']) && !empty($_GET['paged'])) {
			_e('Blog Archives', 'SthBlue');
		}
		?>
	</p>
	</div>
<?php endif; ?>

<?php if (have_posts()) : while (have_posts()) : the_post(); update_post_caches($posts); ?>
	<div class="post" id="post-<?php the_ID(); ?>">
		<div class="posttime"><div class="m"><?php the_time("M"); ?></div><div class="d"><?php the_time("d"); ?></div></div>
<div class="posttitle">
<h2><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
<p class="postmeta"><span class="comment"><?php comments_popup_link(__('No comments', 'SthBlue'), __('1 Comment', 'SthBlue'), __('% Comments', 'SthBlue')); ?></span><span class="category"><?php the_category(', ') ?></span><span class="date"><?php the_time(__('F jS, Y', 'SthBlue')) ?></span><span class="author"></span><?php edit_post_link(__('Edit' ,'SthBlue') , '<span class="edit">', '</span>'); ?></p></div>
		<div class="content">
			<?php the_content(__('Read more...', 'SthBlue')); ?>
			<div class="fixed"></div>
		</div>
		<p class="tags"><?php the_tags(' ', ', ', ' '); ?></p>
	</div>
<?php endwhile; else : ?>
	<div class="errorbox">
		<?php _e('Sorry, no posts matched your criteria.', 'SthBlue'); ?>
	</div>
<?php endif; ?>

<div id="pagenavi">
	<?php if(function_exists('wp_pagenavi')) : ?>
		<?php wp_pagenavi() ?>
	<?php else : ?>
		<span class="newer"><?php previous_posts_link(__('Newer Entries', 'SthBlue')); ?></span>
		<span class="older"><?php next_posts_link(__('Older Entries', 'SthBlue')); ?></span>
	<?php endif; ?>
	<div class="fixed"></div>
</div>

<?php get_footer(); ?>
 